Summary: The kernel module init tools.
Name: module-init-tools
Version: 3.1
Release: 1tr
License: GPL
Group: Trustix Official
Source: http://kernel.us.themoes.org/pub/linux/utils/kernel/module-init-tools/%{name}-%{version}.tar.gz
Source2: kmod.crond
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig
Requires: crond
PreReq: modutils >= 2.4.26-2tr
PreReq: coreutils, bash, mktemp, grep, sed, awk

%description
The module-init-tools package includes programs for managing automatic
loading and unloading of modules under 2.6 kernels, with support for older
kenrnels using the old modutils package, as well as other module management
programs.  Examples of loaded and unloaded modules are device drivers and
filesystems, as well as some other things.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
		--disable-combined \
		--enable-insmod-static \
		--mandir=%{_mandir} \
		--prefix=%{_prefix} \
		--exec-prefix=/
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
mkdir -p $RPM_BUILD_ROOT/{%{_mandir}/man{1,2,8},sbin}
make mandir=%{_mandir} DESTDIR=$RPM_BUILD_ROOT install install-man
mv $RPM_BUILD_ROOT/bin/lsmod $RPM_BUILD_ROOT/sbin/

install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/kmod
touch $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.conf

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if [ ! -s /etc/modprobe.conf ]; then
        MODPROBE_CONF=/etc/modprobe.conf
elif [ -e /etc/modprobe.conf.rpmnew ]; then
        MODPROBE_CONF=/etc/modprobe.conf.rpmnew
fi

if [ -s /etc/modules.conf -a -n "$MODPROBE_CONF" ]; then
        echo '# This file is autogenerated from /etc/modules.conf using generate-modprobe.conf comma
nd' >> $MODPROBE_CONF
        echo >> $MODPROBE_CONF
        /sbin/generate-modprobe.conf >> $MODPROBE_CONF 2> /dev/null
fi

%files
%defattr(-,root,root)
/sbin/*
%{_mandir}/*/*
%config %{_sysconfdir}/cron.d/kmod
%ghost %{_sysconfdir}/modprobe.conf

%changelog
* Fri Sep 24 2004 Nageswara Sastry <nageswara at comodo dot com> 3.1-1tr
- Version upgraded to 3.1-1tr from 3.0-1tr

* Mon Mar 15 2004 Chr. Toldnes <christht at trustix dot org> 3.0-1tr
- cleanup and rebuild

* Tue Mar  9 2004 Omar Kilani <ok at trustix dot org> 3.0-1ok
- New upstream.
- Fixed the spec file for pre / non-pre releases.

* Tue Feb 10 2004 Chr. Toldnes <christht at trustix dot org> 3.0-pre5-2ct
- Added a whole lot of PreReqs to make %post modprobe.conf generation work
  also during install.

* Tue Jan 20 2004 Tor Hveem <torh at trustix dot org> 3.0-pre5-1th
- New upstream version
- Generate modprobe.conf in %post if not 
- Include missing lsmod binary

* Tue Jan 20 2004 Chr. Toldnes <christht at trustix dot org> 0.9.14-3ct
- package cleanups

* Wed Dec 10 2003 Gerald Dachs <gda at trustix dot org> 0.9.14-2gd
- updated modutils to version 2.4.26

* Tue Dec  9 2003 Gerald Dachs <gda at trustix dot org> 0.9.14-1gd
- initial build

